Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.spi
Interface PersistenceCapable.ObjectIdFieldSupplier

All Known Subinterfaces:
  PersistenceCapable.ObjectIdFieldManager

Enclosing interface:
  PersistenceCapable

    public static interface PersistenceCapable.ObjectIdFieldSupplier

This interface is used to provide fields to the Object id instance. It is used by the method copyKeyFieldsToObjectId. When the method is called, the generated code calls the instance of ObjectIdFieldManager for each field in the object id.

Method Summary
`boolean` | `fetchBooleanField(int fieldNumber)` Fetch one field from the field manager.
`byte` | `fetchByteField(int fieldNumber)` Fetch one field from the field manager.
`char` | `fetchCharField(int fieldNumber)` Fetch one field from the field manager.
`double` | `fetchDoubleField(int fieldNumber)` Fetch one field from the field manager.
`float` | `fetchFloatField(int fieldNumber)` Fetch one field from the field manager.
`int` | `fetchIntField(int fieldNumber)` Fetch one field from the field manager.
`long` | `fetchLongField(int fieldNumber)` Fetch one field from the field manager.
`java.lang.Object` | `fetchObjectField(int fieldNumber)` Fetch one field from the field manager.
`short` | `fetchShortField(int fieldNumber)` Fetch one field from the field manager.
`java.lang.String` | `fetchStringField(int fieldNumber)` Fetch one field from the field manager.

Method Detail

### fetchBooleanField

    boolean fetchBooleanField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchCharField

    char fetchCharField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchByteField

    byte fetchByteField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchShortField

    short fetchShortField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchIntField

    int fetchIntField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchLongField

    long fetchLongField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchFloatField

    float fetchFloatField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchDoubleField

    double fetchDoubleField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchStringField

    java.lang.String fetchStringField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

### fetchObjectField

    java.lang.Object fetchObjectField(int fieldNumber)

  Fetch one field from the field manager. This field will be stored in the proper field of the ObjectId.

  Parameters:
    `fieldNumber` - the field number of the key field.
  Returns:
    the value of the field to be stored into the ObjectId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.